package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcAdslFactory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 企业与接入数据类型关联Mapper接口
 *
 * @author szhpt
 * @date 2023-02-02*/
@Mapper
public interface PcAdslFactoryMapper extends BaseMapper<PcAdslFactory>
{
    /**
     * 查询企业与接入数据类型关联列表
     *
     * @param pcAdslFactory 企业与接入数据类型关联
     * @return 企业与接入数据类型关联集合
     */
    public List<PcAdslFactory> selectPcAdslFactoryList(PcAdslFactory pcAdslFactory);

    /**
     * 企业数据接入全面度
     * @param factoryId
     * @return
     */
    List<Map<String, String>> selectEntInDatas(String factoryId);

    /**
     * 清空表
     */
    public void truncateAll();

    /**
     * 在线监测企业接入全面度
     */
    public void onlineAdsl();

    /**
     * 分表计电企业接入全面度
     */
    public void elecAdsl();

    /**
     * 工况企业接入全面度
     */
    public void dcsAdsl();

    /**
     * 无组织接入全面度
     */
    public void inorgAdsl();

    /**
     * 视频接入全面度
     */
    public void videoAdsl();

    /**
     * 动态管控接入全面度
     */
    public void dynamicAdsl();

    /**
     * 门禁接入全面度
     */
    public void doorAdsl();
}
